From 982ada6cae4090ee775719f708206fbc555d0a11 Mon Sep 17 00:00:00 2001
From: Chuan Zheng <zhengchuan@huawei.com>
Date: Mon, 9 Nov 2020 19:29:03 +0800
Subject: [PATCH build and enhance 3/8] libcare-cc: add gcc iquote option
 support

The -I option has been deprecated by gcc. Newer projects like QEMU 2.12
now use -iquote instead of -I. Hereby add iquote option support to make
libcare work with these projects.

Change-Id: Ied20f72a331f7a176f3a58456299706ba4968715
Signed-off-by: Luo Yifan <luoyifan_yewu@cmss.chinamobile.com>
Signed-off-by: imxcc <xingchaochao@huawei.com>
---
 libcare.spec    |  5 ++++-
 src/kpatch_cc.c | 15 ++++++++++++---
 2 files changed, 16 insertions(+), 4 deletions(-)

diff --git a/libcare.spec b/libcare.spec
index b98319d..5276654 100644
--- a/libcare.spec
+++ b/libcare.spec
@@ -1,7 +1,7 @@
 Version: 0.1.4
 Name: libcare
 Summary: LibCare tools
-Release: 4%{?dist}
+Release: 5%{?dist}
 Group: Applications/System
 License: GPLv2
 Url: http://www.cloudlinux.com
@@ -158,6 +158,9 @@ exit 0
 %endif
 
 %changelog
+* Wed Sep 22 2021 Chuan Zheng <zhengchuan@huawei.com> - 0.1.4-5
+- libcare-cc: add gcc iquote option support
+
 * Wed Sep 22 2021 Chuan Zheng <zhengchuan@huawei.com> - 0.1.4-4
 - make configure before build
 
diff --git a/src/kpatch_cc.c b/src/kpatch_cc.c
index 7f17fdf..8412346 100644
--- a/src/kpatch_cc.c
+++ b/src/kpatch_cc.c
@@ -394,19 +394,28 @@ static void init(int argc_, const char **argv_)
 			argv[i] = NULL;
 			continue;
 		case 'M':
-			if (arg[2] == 'F' || arg[2] == 'T')
+			if (arg[2] == 'F' || arg[2] == 'T') {
 				i++;
+			}
 			continue;
 		case 'i':
-			if (strcmp(arg + 2, "nclude") == 0)
+			if (strcmp(arg + 2, "nclude") == 0) {
+				i++;
+			}
+			if (strcmp(arg + 2, "system") == 0) {
 				i++;
-			if (strcmp(arg + 2, "system") == 0)
+			}
+			if (strcmp(arg + 2, "quote") == 0) {
 				i++;
+			}
 			continue;
 		case 'e':
 		case 'T':
 			i++;
 			continue;
+		case 'I':
+			i++;
+			continue;
 		case '-':
 			if (strcmp(arg + 2, "version") == 0) {
 				action = SHOW_VERSION;
-- 
2.19.1

